Subject: Re: Bug#410: Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui

From: Mike Gabriel <[email-masked]>
Date: Thu, 12 Jun 2014 22:06:05 +0000

Hi Sven,

re-Cc:-ing bug #410...

On  Do 12 Jun 2014 21:48:42 CEST, Sven Willenberger wrote:

> On Wed, 11 Jun 2014 21:33:58 +0000
> Mike Gabriel <[email-masked]> wrote:
>
>> HI Sven,
>>
>> On  Fr 24 Jan 2014 03:39:19 CET, Sven Willenberger wrote:
>>
>> > Package: nx-libs (nx-x11)
>> > Version: 3.5.0.22
>> >
>> > Server (host)OS: Linux 3.12.8 (ArchLinux) x86_64
>> > Client OS: Windows 8 (version 4.0.1.2 QT 4.8.5)
>> >
>> > When using python apps with QT (either PyQT or PySide), any
>> > interaction with the resulting window (when connected from windows
>> > to linux) causes the program to crash. Partial stack trace:
>> >
>> > #0  0x00007fffed78acb0 in _X11TransWritev () from
>> > /usr/lib/nx/X11/libNX_X11.so.6
>> > #1  0x00007fffed76eb8e in _XSend ()
>> > from /usr/lib/nx/X11/libNX_X11.so.6 #2  0x00007fffed763e69 in
>> > XQueryExtension () from /usr/lib/nx/X11/libNX_X11.so.6
>> > #3  0x00007fffed759af2 in XInitExtension () from
>> > /usr/lib/nx/X11/libNX_X11.so.6
>> > #4  0x00007fffeda3d7bb in XextAddDisplay () from
>> > /usr/lib/nx/X11/libNX_Xext.so.6
>> > #5  0x00007fffedc4cee1 in XPanoramiXQueryExtension () from
>> > /usr/lib/nx/X11/Xinerama/libXinerama.so.1
>> > #6  0x00007ffff0e01e3e in ?? () from
>> >  
>> /usr/lib/python3.3/site-packages/PySide-1.2.1-py3.3.egg/PySide/libQtGui.so.4
>> > #7  0x00007ffff0e01f42 in QDesktopWidget::QDesktopWidget() () from
>> >  
>> /usr/lib/python3.3/site-packages/PySide-1.2.1-py3.3.egg/PySide/libQtGui.so.4
>> >
>> > This just happened with the Jan 4 update to nx-libs (et al).
>> >
>> > For comparison, using a basic ssh connection with X-forwarding and
>> > starting an xterm session and running the same python programs
>> > succeeds.
>>
>> sorry for responding soooo late...
>>
>> Today, I have been in NX code for the whole day and I wonder, if I
>> can do something for you to get the above issue fixed.
>>
>> I tested the above with this python snippet:
>>
>> """
>> #!/usr/bin/python
>>
>> # simple.py
>>
>> import sys
>> from PyQt4 import QtGui
>>
>> app = QtGui.QApplication(sys.argv)
>>
>> widget = QtGui.QWidget()
>> widget.resize(250, 150)
>> widget.setWindowTitle('simple')
>> widget.show()
>>
>> sys.exit(app.exec_())
>> """
>>
>> and I don't bump into any problems as described above.
>>
>> Can you please:
>>
>>    1. get latest x2goagent/nxagent/libnx-x11 from our nightly
>> builds[1] 2. re-test the above
>>    3. if you get the same error, send me the python code that triggers
>>       the bug
>>
>> Greets,
>> Mike
>>
>> PS: please wait for the current build of nx-libs to finish [2]
>>
>> [1] http://wiki.x2go.org/doku.php/wiki:development:nightly-builds
>> [2] https://jenkins.x2go.org:8443/view/NX/
>>
>
> As I am on Archlinux, I need to apply patches from the debian/patches
> directory from the git pull. Besides the Pgn.cpp patch (for libpng),
> what other patches need to be applied to make the git behave like the
> nx-libs-3.5.0.xx-full.tar.gz releases? (for example to create a master
> Makefile).

nx-libs/debian/roll-tarball.sh is your friend...

But Clemens already helped out on IRC I just saw...

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb